Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec	(revision 1639)
@@ -14,4 +14,7 @@
    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
     </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname BBN-shared"/>
+	</services>
     <interface client_id="VM:if0">
    <ip address="10.42.11.198" netmask="255.255.255.0" />
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-bbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-bbn.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-bbn.rspec	(revision 1639)
@@ -1,5 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- Request Rspec for Openflow at BBN Meso-scale site
-used in EG-EXP-6 experiment 3 
+<!-- Request Rspec CT-4
 NOTE: MUST BE RUN AFTER GPO PG Request to determine host port.
 
@@ -16,5 +15,5 @@
        type="request">
 
-  <openflow:sliver description="Sliver to allow BBNMeso, BBN ExoGENI, and Rutgers WAPG over 3716 "
+  <openflow:sliver description="Sliver to allow BBNMeso, BBN ExoGENI, and Indiana WAPG over 3716 "
                    email="lnevers@bbn.com">
 
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec	(revision 1639)
@@ -20,5 +20,8 @@
 
     <openflow:group name="bbn-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
     </openflow:group>
 
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-renci.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-renci.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-renci.rspec	(revision 1639)
@@ -19,5 +19,8 @@
 
     <openflow:group name="renci-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:64:08:17:f4:b3:5b:00" component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" />
+  <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:01:08:17:f4:b3:5b:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" >
+	</openflow:datapath>
+
     </openflow:group>
 
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-renci-shared.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-renci-shared.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-renci-shared.rspec	(revision 1639)
@@ -13,4 +13,7 @@
    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
     </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname RENCI-shared"/>
+        </services>
     <interface client_id="VM:if0">
    <ip address="10.42.11.205" netmask="255.255.255.0" />
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-gpo-shared.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-gpo-shared.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-gpo-shared.rspec	(revision 1639)
@@ -14,4 +14,7 @@
    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
     </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname BBN-shared"/>
+	</services>
     <interface client_id="VM:if0">
    <ip address="10.42.11.198" netmask="255.255.255.0" />
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-gpo.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-gpo.rspec	(revision 1639)
@@ -20,5 +20,8 @@
 
     <openflow:group name="bbn-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
     </openflow:group>
 
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-renci.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-renci.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-openflow-eg-renci.rspec	(revision 1639)
@@ -19,5 +19,8 @@
 
     <openflow:group name="renci-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:64:08:17:f4:b3:5b:00" component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" />
+  <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:01:08:17:f4:b3:5b:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" >
+	</openflow:datapath>
+
     </openflow:group>
 
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-renci-shared.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-renci-shared.rspec	(revision 1638)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/RENCI/EG-CT-4-renci-shared.rspec	(revision 1639)
@@ -13,4 +13,7 @@
    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
     </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname RENCI-shared"/>
+        </services>
     <interface client_id="VM:if0">
    <ip address="10.42.11.205" netmask="255.255.255.0" />