Index: trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp1.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp1.rspec	(revision 1641)
+++ trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp1.rspec	(revision 1641)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-3:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
+    <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp2.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp2.rspec	(revision 1641)
+++ trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-4/IG-EXP-4-exp2.rspec	(revision 1641)
@@ -0,0 +1,64 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC:if0">
+    </interface>
+    <interface client_id="PC:if1">
+      <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-1:if0">
+    </interface>
+    <interface client_id="VM-1:if1">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-4:if0">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-5" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-5:if0">
+      <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <property source_id="VM-1:if0" dest_id="PC:if0"/>
+    <property source_id="PC:if0" dest_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+  <link client_id="gre-tunnel1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM-1:if1"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <property source_id="VM-1:if1" dest_id="VM-4:if0"/>
+    <property source_id="VM-4:if0" dest_id="VM-1:if1"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+  <link client_id="gre-tunnel2">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="PC:if1"/>
+    <interface_ref client_id="VM-5:if0"/>
+    <property source_id="PC:if1" dest_id="VM-5:if0"/>
+    <property source_id="VM-5:if0" dest_id="PC:if1"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>