Index: trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1647)
@@ -16,8 +16,6 @@
 <node client_id="BT2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
     </sliver_type>
-    <interface client_id="BT2:if0">
-   <ip address="172.16.1.2" netmask="255.255.255.0" />
-    </interface>
   </node>
 </rspec>
Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1647)
@@ -16,4 +16,5 @@
 <node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
     </sliver_type>
     <interface client_id="BT:if0">
@@ -24,5 +25,5 @@
  <node client_id="geni2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
     </sliver_type>
     <interface client_id="geni2:if0">
Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1647)
@@ -18,4 +18,5 @@
 <node client_id="BM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
     </sliver_type>
     <interface client_id="BM-1:if0">
@@ -26,5 +27,5 @@
  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
     </sliver_type>
     <interface client_id="VM-1:if0">
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1647)
@@ -15,5 +15,5 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
  </sliver_type>
  <interface client_id="geni1:0">
@@ -24,5 +24,5 @@
 <node client_id="geni2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
  <sliver_type name="m1.large">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
  </sliver_type>
  <interface client_id="geni2:0" >
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1647)
@@ -16,9 +16,6 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
  </sliver_type>
- <interface client_id="geni1:0">
-    <ip address="172.16.1.1" netmask="255.255.255.0" />
- </interface>
 </node>
 </rspec>
Index: trunk/RSpecExamples/exogeni-1vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1647)
@@ -14,9 +14,6 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
  <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
  </sliver_type>
- <interface client_id="geni1:0">
-    <ip address="172.16.1.1" netmask="255.255.255.0" />
- </interface>
 </node>
 </rspec>
Index: trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1647)
@@ -14,5 +14,5 @@
   <node client_id="host1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
     </sliver_type>
     <interface client_id="host1:if0">
Index: trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1647)
@@ -15,5 +15,5 @@
   <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
     </sliver_type>
     <interface client_id="VM:if0">
Index: trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1647)
@@ -14,5 +14,5 @@
   <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
     </sliver_type>
     <interface client_id="VM-1:if0">
@@ -23,5 +23,5 @@
   <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
     </sliver_type>
     <interface client_id="VM-2:if0">
Index: trunk/RSpecExamples/exogeni-4vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1647)
@@ -14,5 +14,5 @@
   <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.small">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
  </sliver_type>
    <interface client_id="VM-1:if0">
@@ -22,5 +22,5 @@
   <node client_id="VM-2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-5g.zfilesystem.sparse.xml" version="d74dfdb68836fca8240fb634de8c4bc2e40f592e" />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
  </sliver_type>
     <interface client_id="VM-2:if0">
@@ -30,5 +30,5 @@
   <node client_id="VM-3" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-10g.zfilesystem.sparse.xml" version="4164446d4ae96087b49ba81e9a3d6b2bc305d004" />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
  </sliver_type>
     <interface client_id="VM-3:if0">
@@ -38,5 +38,5 @@
   <node client_id="VM-4" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-20g.zfilesystem.sparse.xml" version="ec57dafbbf998e8ae5bb8feff95d5c19d466cc40" />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
  </sliver_type>
     <interface client_id="VM-4:if0">
Index: trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1588)
+++ trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1647)
@@ -23,6 +23,6 @@
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
 			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
-        <openflow:port num="5"/>
-        <openflow:port num="15"/>
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
       </openflow:datapath>
     </openflow:group>