Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec	(revision 1649)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec	(revision 1649)
@@ -0,0 +1,110 @@
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="host1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="host1:if1">
+    <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+ </node>
+ <node client_id="click-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="click-1:if1">
+    <ip address="192.168.0.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="click-1:if2">
+    <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="click-1:if3">
+    <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+ </node>
+ <node client_id="click-2" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="click-2:if1">
+    <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+    <interface client_id="click-2:if2">
+    <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+ </node>
+ <node client_id="click-3" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="click-3:if1">
+    <ip address="192.168.0.2" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+    <interface client_id="click-3:if2">
+    <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+ </node>
+ <node client_id="click-4" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="click-4:if1">
+    <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+    <interface client_id="click-4:if2">
+    <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+    <interface client_id="click-4:if3">
+    <ip address="192.168.5.1" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+ </node>
+ <node client_id="host2" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="host2:if1">
+    <ip address="192.168.5.2" netmask="255.255.255.0" type="ipv4"/>
+   </interface>
+  </node>
+  <link client_id="link-A">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <property source_id="host1:if1" dest_id="click-1:if3"/>
+    <property source_id="click-1:if3" dest_id="host1:if1"/>
+    <interface_ref client_id="host1:if1"/>
+    <interface_ref client_id="click-1:if3"/>
+  </link>
+  <link client_id="link-0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="click-1:if1"/>
+    <interface_ref client_id="click-3:if1"/>
+    <property source_id="click-1:if1" dest_id="click-3:if1"/>
+    <property source_id="click-3:if1" dest_id="click-1:if1"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+  <link client_id="link-1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="click-1:if2"/>
+    <interface_ref client_id="click-2:if1"/>
+    <property source_id="click-1:if2" dest_id="clik-2:if1"/>
+    <property source_id="click-2:if1" dest_id="clik-1:if2"/>
+  </link>
+  <link client_id="link-2">
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="click-3:if2"/>
+    <interface_ref client_id="click-4:if1"/>
+    <property source_id="click-3:if2" dest_id="click-4:if1"/>
+    <property source_id="click-4:if1" dest_id="click-3:if2"/>
+  </link>
+  <link client_id="link-3">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="click-2:if2"/>
+    <interface_ref client_id="click-4:if2"/>
+    <property source_id="click-2:if2" dest_id="click-4:if2"/>
+    <property source_id="click-4:if2" dest_id="click-2:if2"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+  <link client_id="link-B">
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="click-4:if3"/>
+    <interface_ref client_id="host2:if1"/>
+    <property source_id="click-4:if3" dest_id="host2:if1"/>
+    <property source_id="host2:if1" dest_id="click-4:if3"/>
+  </link>
+</rspec>