Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-gpo.rspec	(revision 1651)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-gpo.rspec	(revision 1652)
@@ -17,9 +17,21 @@
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
 
+   <openflow:group name="bbn-1750-nodes">
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"     
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
+                       dpid="06:d6:00:24:a8:c4:b9:00">
+    <openflow:port name="9" num="33"/>
+    </openflow:datapath>
+  </openflow:group>
+
+
     <openflow:group name="poblano-1750-nlr-3716">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
 			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
         <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
         <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
       </openflow:datapath>
     </openflow:group>
@@ -27,4 +39,5 @@
     <openflow:match>
 
+      <openflow:use-group name="bbn-1750-nodes" />
       <openflow:use-group name="poblano-1750-nlr-3716" />
 
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-ig-gpo.rspec	(revision 1651)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-ig-gpo.rspec	(revision 1652)
@@ -1,6 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources in the InstaGENI rack 
-
+RSpec for IG-EXP-5-exp1
 AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
 -->
@@ -34,15 +33,5 @@
 
    </openflow:match>
-
-   <openflow:match>
-      <openflow:use-group name="bbn-instageni" />
-      <openflow:packet>
-        <openflow:dl_vlan value="3705"/>
-      </openflow:packet>
-    </openflow:match>
-
-
   </openflow:sliver>
-
 </rspec>
 
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-rutgers.rspec	(revision 1651)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp1-openflow-rutgers.rspec	(revision 1652)
@@ -20,12 +20,22 @@
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
 
+    <openflow:group name="rutgers-site">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:34:01" 
+	                 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+    <openflow:port name="GBE0/9" num="9"/>
+    <openflow:port name="GBE0/10" num="10"/>
+    <openflow:port name="GBE0/16" num="16"/>
+  </openflow:datapath>
+   </openflow:group>
+
     <openflow:group name="rutgers-1750-i2-3716">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
 			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
-	<openflow:port num="5"/>
-	<openflow:port num="9"/>
-	<openflow:port num="10"/>
-	<openflow:port num="11"/>
-	<openflow:port num="12"/>
+       <openflow:port name="GBE0/3" num="3"/>
+       <openflow:port name="GBE0/5" num="5"/>
+       <openflow:port name="GBE0/9" num="9"/>
+       <openflow:port name="GBE0/10" num="10"/>
+       <openflow:port name="GBE0/11" num="11"/>
+       <openflow:port name="GBE0/12" num="12"/>
       </openflow:datapath>
     </openflow:group>
@@ -33,4 +43,5 @@
     <openflow:match>
 
+      <openflow:use-group name="rutgers-site" />
       <openflow:use-group name="rutgers-1750-i2-3716" />
 
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-ig-gpo.rspec	(revision 1651)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-ig-gpo.rspec	(revision 1652)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-RSpec reserves the OpenFlow resources in the GPO InstaGENI rack 
+RSpec for IG-EXP-5-exp2
 AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
 -->
@@ -17,5 +17,5 @@
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
 
-    <openflow:group name="bbn-instageni-1750">
+    <openflow:group name="bbn-instageni">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
@@ -24,5 +24,5 @@
     <openflow:match>
 
-      <openflow:use-group name="bbn-instageni-1750" />
+      <openflow:use-group name="bbn-instageni" />
 
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-indiana.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-indiana.rspec	(revision 1651)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-5/IG-EXP-5-exp2-openflow-indiana.rspec	(revision 1652)
@@ -21,5 +21,4 @@
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:16:b9:cf:fc:40"
 			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">
-
         <openflow:port name="3" num="3"/>    
         <openflow:port name="5" num="5"/>    
@@ -27,4 +26,5 @@
         <openflow:port name="9" num="9"/>    
         <openflow:port name="10" num="10"/>    
+        <openflow:port name="1" num="1"/>
       </openflow:datapath>
     </openflow:group>
@@ -34,8 +34,9 @@
 			component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">    
         <openflow:port name="3" num="27"/>    
+        <openflow:port name="6" num="30"/>    
+        <openflow:port name="8" num="32"/>    
         <openflow:port name="22" num="46"/>    
         <openflow:port name="47" num="71"/>    
-        <openflow:port name="8" num="32"/>    
-        <openflow:port name="6" num="30"/>    
+        <openflow:port name="51" num="121"/>
     </openflow:datapath>  
     </openflow:group>