Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp1-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp1-openflow-eg-gpo.rspec	(revision 1656)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp1-openflow-eg-gpo.rspec	(revision 1664)
@@ -20,4 +20,6 @@
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+        </openflow:datapath>
+
     </openflow:group>
 
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-gpo.rspec	(revision 1664)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-gpo.rspec	(revision 1664)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Request for Bare metal node and VM at the BBN ExoGENI 
+rack for Experiment 2 
+AM: https://bbn-hn.exogeni.net:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+<node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT:if0">
+   <ip address="10.42.18.11" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="geni2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+    <interface client_id="geni2:if0">
+   <ip address="10.42.18.12" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <interface_ref client_id="BT:if0"/>
+    <interface_ref client_id="geni2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-renci.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-renci.rspec	(revision 1664)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-eg-renci.rspec	(revision 1664)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://rci-hn.exogeni.net:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.18.15" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+    <interface client_id="VM-0:if0">
+   <ip address="10.42.18.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-gpo.rspec	(revision 1656)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-gpo.rspec	(revision 1664)
@@ -14,5 +14,6 @@
 
     <openflow:group name="bbn-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+		component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
     </openflow:group>
 
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-renci.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-renci.rspec	(revision 1656)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp2-openflow-eg-renci.rspec	(revision 1664)
@@ -15,5 +15,6 @@
 
     <openflow:group name="renci-exogeni">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:64:08:17:f4:b3:5b:00" component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" />
+  <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:01:08:17:f4:b3:5b:00" 
+		component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" />
     </openflow:group>
 
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-eg-gpo.rspec	(revision 1664)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-eg-gpo.rspec	(revision 1664)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://bbn-hn.exogeni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-EXP-6-exp3" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+    <openflow:group name="bbn-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+		component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="bbn-exogeni" />
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-gpo.rspec	(revision 1656)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-gpo.rspec	(revision 1664)
@@ -22,5 +22,6 @@
                        component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
                        dpid="06:d6:00:24:a8:c4:b9:00">
-    <openflow:port name="9" num="33"/>
+    <openflow:port name="10" num="34"/>
+
     </openflow:datapath>
   </openflow:group>
@@ -42,6 +43,6 @@
       <openflow:packet>
         <openflow:dl_type value="0x800,0x806"/>
-        <openflow:nw_dst value="10.42.11.0/24"/>
-        <openflow:nw_src value="10.42.11.0/24"/>
+        <openflow:nw_dst value="10.42.19.0/24"/>
+        <openflow:nw_src value="10.42.19.0/24"/>
       </openflow:packet>
 
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-nlr.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-nlr.rspec	(revision 1664)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-nlr.rspec	(revision 1664)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-EXP-6-exp3 " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-rutgers.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-rutgers.rspec	(revision 1656)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-openflow-rutgers.rspec	(revision 1664)
@@ -1,4 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- 
+
 AM: https://nox.orbit-lab.org:3626/foam/gapi/1
 -->
@@ -17,12 +18,22 @@
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
 
+    <openflow:group name="rutgers-site">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:34:01" 
+	                 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+    <openflow:port name="GBE0/9" num="9"/>
+    <openflow:port name="GBE0/10" num="10"/>
+    <openflow:port name="GBE0/16" num="16"/>
+  </openflow:datapath>
+   </openflow:group>
+
     <openflow:group name="rutgers-1750-i2-3716">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
 			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
-	<openflow:port num="5"/>
-	<openflow:port num="9"/>
-	<openflow:port num="10"/>
-	<openflow:port num="11"/>
-	<openflow:port num="12"/>
+       <openflow:port name="GBE0/3" num="3"/>
+       <openflow:port name="GBE0/5" num="5"/>
+       <openflow:port name="GBE0/9" num="9"/>
+       <openflow:port name="GBE0/10" num="10"/>
+       <openflow:port name="GBE0/11" num="11"/>
+       <openflow:port name="GBE0/12" num="12"/>
       </openflow:datapath>
     </openflow:group>
@@ -30,4 +41,5 @@
     <openflow:match>
 
+      <openflow:use-group name="rutgers-site" />
       <openflow:use-group name="rutgers-1750-i2-3716" />
 
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-pg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-pg-gpo.rspec	(revision 1664)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-6/EG-EXP-6-exp3-pg-gpo.rspec	(revision 1664)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+AM: https://pgeni.gpolab.bbn.com/protogeni/xmlrpc/am
+-->
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+<node client_id="VM" component_manager_id="urn:publicid:IDN+pgeni.gpolab.bbn.com+authority+cm" 
+	exclusive="false">
+      <sliver_type name="raw-pc">
+        <disk_image name="urn:publicid:IDN+pgeni.gpolab.bbn.com+image+emulab-ops//UBUNTU1004-STD" /> 
+      </sliver_type>
+    	<interface client_id="VM:if0">
+   	<ip address="10.42.19.199" netmask="255.255.255.0" />
+	</interface> 
+</node>
+</rspec>
+