Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-eg-renci.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-eg-renci.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-eg-renci.rspec	(revision 1684)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname RENCI-shared"/>
+        </services>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.205" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-gpo.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-gpo.rspec	(revision 1684)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-nw.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-nw.rspec	(revision 1680)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-ig-nw.rspec	(revision 1684)
@@ -17,5 +17,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="nw-ig:if0">
-      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.11.53" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
@@ -24,5 +24,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="nw-ig2:if0">
-      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.11.52" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-indiana-wapg-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-indiana-wapg-pg-utah.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-indiana-wapg-pg-utah.rspec	(revision 1684)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves wide-area ProtoGENI host pg58 and pg59 at Indiana
+and it also combines the PG Utah node on shared VLAN 1750
+for the IG-CT-4 New Site Confirmation Test at
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="wapg-indiana-pg58" component_id="urn:publicid:IDN+emulab.net+node+pg58" 
+	component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
+ 	component_name="pg58" exclusive="true">        
+   <interface client_id="wapg-rutgers-pg58:if0">
+   <ip address="10.42.11.158" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-eg-renci.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-eg-renci.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-eg-renci.rspec	(revision 1684)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the RENCI ExoGENI rack 
+
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="IG-CT-4 over 3716 " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="renci-exogeni">
+  <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:01:08:17:f4:b3:5b:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" >
+	</openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="renci-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-gpo.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-gpo.rspec	(revision 1684)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site EG-CT-4" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="7"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-gpo.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-gpo.rspec	(revision 1684)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-utah.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-ig-utah.rspec	(revision 1684)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-indiana-wapg.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-indiana-wapg.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-indiana-wapg.rspec	(revision 1684)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the IG-CT-4 Site Confirmation Test.
+AM: https://foam.noc.iu.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="indiana-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:16:b9:cf:fc:40"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">
+       <openflow:port name="1" num="1"/>
+       <openflow:port name="5" num="5"/>
+       <openflow:port name="8" num="8"/>
+       <openflow:port name="9" num="9"/>
+       <openflow:port name="10" num="10"/>
+      </openflow:datapath>
+    </openflow:group>
+
+ <openflow:group name="indiana-WAPG">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:24:a8:fe:e1:00" 
+			component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">    
+    <openflow:port name="3" num="27"/>
+    <openflow:port name="8" num="32"/>
+    <openflow:port name="22" num="46"/>
+    <openflow:port name="47" num="71"/>
+    <openflow:port name="51" num="121"/>
+    <openflow:port name="6" num="30"/>
+    </openflow:datapath>  
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="indiana-1750-nlr-3716" />
+      <openflow:use-group name="indiana-WAPG" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-internet2.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-internet2.rspec	(revision 1684)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+used by the IG-CT-4 New Site Confirmation Test 
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-nlr.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-nlr.rspec	(revision 1684)
@@ -0,0 +1,62 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+for IG-CT-4 New Site Confirmation Test
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-chic-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:23:47:c8:bc:00" 
+       component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+        dpid="06:d6:00:23:47:c8:bc:00"> 
+        <openflow:port name="5" num="5"/> <!-- NLR CHIC 3716 Port --> 
+        <openflow:port name="9" num="9"/> <!-- GPO 1750 -->
+        <openflow:port name="28" num="52"/> <!-- Northwestern 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am"
+        dpid="06:d6:00:24:a8:d2:b8:40">
+        <openflow:port name="5" num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port name="25" num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-chic-1750-3716" />
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-uen.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-uen.rspec	(revision 1684)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+used by the  IG-CT-4 New Site Confirmation Test
+
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/openflow-nw-pc.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/openflow-nw-pc.rspec	(revision 1684)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/openflow-nw-pc.rspec	(revision 1684)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Northwestern,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://instageni.northwestern.edu/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="nw-ig2" exclusive="false">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="nw-ig2:if0">
+      <ip address="10.42.11.52" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="nw-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>