Index: unk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-indiana-wapg-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-indiana-wapg-pg-utah.rspec	(revision 1685)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-This rspec reserves wide-area ProtoGENI host pg58 and pg59 at Indiana
-and it also combines the PG Utah node on shared VLAN 1750
-for the IG-CT-4 New Site Confirmation Test at
-AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
--->
-
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
-       xs:schemaLocation="http://www.geni.net/resources/rspec/3
-           http://www.geni.net/resources/rspec/3/request.xsd
-           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
-           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
-       type="request">
-
-  <node client_id="wapg-indiana-pg58" component_id="urn:publicid:IDN+emulab.net+node+pg58" 
-	component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
- 	component_name="pg58" exclusive="true">        
-   <interface client_id="wapg-rutgers-pg58:if0">
-   <ip address="10.42.11.158" netmask="255.255.255.0" />
-    </interface>
-  </node>
-
-  <node client_id="utah-pg" exclusive="false">
-    <sliver_type name="emulab-openvz" />
-    <interface client_id="utah-pg:if0">
-      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
-    </interface>
-  </node>
-  <link client_id="mesoscale-openflow-0">
-    <interface_ref client_id="utah-pg:if0" />
-    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
-  </link>
-
-</rspec>
Index: unk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-indiana-wapg.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-indiana-wapg.rspec	(revision 1685)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-This rspec will reserve the OpenFlow resources at Rutgers
-used by the IG-CT-4 Site Confirmation Test.
-AM: https://foam.noc.iu.edu:3626/foam/gapi/1
--->
-
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
-       xs:schemaLocation="http://www.geni.net/resources/rspec/3
-           http://www.geni.net/resources/rspec/3/request.xsd
-           http://www.geni.net/resources/rspec/ext/openflow/3
-           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
-       type="request">
-
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 " email="lnevers@bbn.com">
-
-    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
-
-    <openflow:group name="indiana-1750-nlr-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:16:b9:cf:fc:40"
-			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">
-       <openflow:port name="1" num="1"/>
-       <openflow:port name="5" num="5"/>
-       <openflow:port name="8" num="8"/>
-       <openflow:port name="9" num="9"/>
-       <openflow:port name="10" num="10"/>
-      </openflow:datapath>
-    </openflow:group>
-
- <openflow:group name="indiana-WAPG">
-    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:24:a8:fe:e1:00" 
-			component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">    
-    <openflow:port name="3" num="27"/>
-    <openflow:port name="8" num="32"/>
-    <openflow:port name="22" num="46"/>
-    <openflow:port name="47" num="71"/>
-    <openflow:port name="51" num="121"/>
-    <openflow:port name="6" num="30"/>
-    </openflow:datapath>  
-    </openflow:group>
-
-    <openflow:match>
-
-      <openflow:use-group name="indiana-1750-nlr-3716" />
-      <openflow:use-group name="indiana-WAPG" />
-      <openflow:packet>
-	<openflow:dl_type value="0x800,0x806"/>
-	<openflow:nw_dst value="10.42.11.0/24"/>
-	<openflow:nw_src value="10.42.11.0/24"/>
-      </openflow:packet>
-
-    </openflow:match>
-
-  </openflow:sliver>
-
-</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-rutgers.rspec	(revision 1692)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-openflow-rutgers.rspec	(revision 1692)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the IG-CT-4 Site Confirmation Test.
+
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="rutgers-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+	<openflow:port num="11"/>
+	<openflow:port num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="rutgers-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-rutgers-wapg-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-rutgers-wapg-pg-utah.rspec	(revision 1692)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Northwestern/IG-CT-4-rutgers-wapg-pg-utah.rspec	(revision 1692)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves wide-area ProtoGENI host pg51 and pg52 at Rutgers
+and it also combines the PG Utah node on shared VLAN 1750
+for the IG-CT-4 New Site Confirmation Test at
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="wapg-rutgers-pg51" component_id="urn:publicid:IDN+emulab.net+node+pg51" 
+  component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
+  component_name="pg51" exclusive="true">
+    <interface client_id="wapg-rutgers-pg51:if0">
+   <ip address="10.42.11.151" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>