Index: /trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1baremetal-at-rci.rspec	(revision 1747)
@@ -16,5 +16,5 @@
 <node client_id="BT2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
   </node>
Index: /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1747)
@@ -16,5 +16,5 @@
 <node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="BT:if0">
@@ -25,5 +25,5 @@
  <node client_id="geni2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="geni2:if0">
Index: /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1747)
@@ -18,5 +18,5 @@
 <node client_id="BM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="BM-1:if0">
@@ -27,5 +27,5 @@
  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="m1.small">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="VM-1:if0">
Index: /trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1747)
@@ -15,5 +15,5 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
  <interface client_id="geni1:0">
@@ -24,5 +24,5 @@
 <node client_id="geni2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
  <sliver_type name="m1.large">
-    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
  <interface client_id="geni2:0" >
Index: /trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1747)
@@ -16,5 +16,5 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
 </node>
Index: /trunk/RSpecExamples/exogeni-1vm-at-renci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1747)
@@ -14,5 +14,5 @@
 <node client_id="geni1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
  <sliver_type name="m1.small">
-      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+        <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
 </node>
Index: /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1747)
@@ -14,5 +14,5 @@
   <node client_id="host1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="host1:if0">
Index: /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-1vm-vlan1750-at-rci.rspec	(revision 1747)
@@ -15,5 +15,5 @@
   <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
     <sliver_type name="m1.small">
-  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="VM:if0">
Index: /trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec	(revision 1747)
+++ /trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec	(revision 1747)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+    <sliver_type name="m1.small">
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" />
+ </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+    <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" />
+ </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1747)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
 This example RSpec shows how to request 2 VMs from the BBN 
@@ -14,5 +15,5 @@
   <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="VM-1:if0">
@@ -23,5 +24,5 @@
   <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
-  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " />  
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
     </sliver_type>
     <interface client_id="VM-2:if0">
Index: /trunk/RSpecExamples/exogeni-4vm-at-renci.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1747)
@@ -14,5 +14,5 @@
   <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.small">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
    <interface client_id="VM-1:if0">
@@ -22,5 +22,5 @@
   <node client_id="VM-2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
     <interface client_id="VM-2:if0">
@@ -30,5 +30,5 @@
   <node client_id="VM-3" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
     <interface client_id="VM-3:if0">
@@ -38,5 +38,5 @@
   <node client_id="VM-4" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
     <sliver_type name="m1.large">
-   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
  </sliver_type>
     <interface client_id="VM-4:if0">
Index: /trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec
===================================================================
--- /trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1729)
+++ /trunk/RSpecExamples/exogeni-openflow-at-bbn.rspec	(revision 1747)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
 This example RSpec shows how to request the OpenFlow datapath for 
Index: /trunk/RSpecExamples/instageni-2rawpc-at-gpo.rspec
===================================================================
--- /trunk/RSpecExamples/instageni-2rawpc-at-gpo.rspec	(revision 1747)
+++ /trunk/RSpecExamples/instageni-2rawpc-at-gpo.rspec	(revision 1747)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="PC-1" component_id="urn:publicid:IDN+instageni.gpolab.bbn.com+node+pc5"          
+        component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <node client_id="PC-2" component_id="urn:publicid:IDN+instageni.gpolab.bbn.com+node+pc4"  
+        component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="PC-1:if0"/>
+    <interface_ref client_id="PC-2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/RSpecExamples/instageni-2vm-at-gpo.rspec
===================================================================
--- /trunk/RSpecExamples/instageni-2vm-at-gpo.rspec	(revision 1747)
+++ /trunk/RSpecExamples/instageni-2vm-at-gpo.rspec	(revision 1747)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This example RSpec shows how to request 2 VMs at the GPO InstaGENI Rack. 
+-->
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/RSpecExamples/instageni-2vm-vlan1750-at-gpo.rspec
===================================================================
--- /trunk/RSpecExamples/instageni-2vm-vlan1750-at-gpo.rspec	(revision 1747)
+++ /trunk/RSpecExamples/instageni-2vm-vlan1750-at-gpo.rspec	(revision 1747)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.18.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.18.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec
===================================================================
--- /trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec	(revision 1729)
+++ /trunk/RSpecExamples/instageni-2vm-vlan1750-at-utah.rspec	(revision 1747)
@@ -17,5 +17,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="utah-ig:if0">
-      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.18.33" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
@@ -24,5 +24,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="utah-ig2:if0">
-      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.18.32" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
Index: /trunk/RSpecExamples/instageni-openflow-at-gpo.rspec
===================================================================
--- /trunk/RSpecExamples/instageni-openflow-at-gpo.rspec	(revision 1747)
+++ /trunk/RSpecExamples/instageni-openflow-at-gpo.rspec	(revision 1747)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description=" InstaGENI OpenFlow" email="lnevers@bbn.com">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.18.0/24"/>
+        <openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+