Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-bbn.rspec	(revision 1748)
@@ -14,5 +14,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-<node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+<node client_id="BT" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
       <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -23,5 +23,5 @@
   </node>
 
- <node client_id="geni2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+ <node client_id="geni2" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
       <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -33,5 +33,5 @@
 
   <link client_id="lan0">
-    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm"/>
     <interface_ref client_id="BT:if0"/>
     <interface_ref client_id="geni2:if0"/>
Index: trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-1baremetal-at-renci.rspec	(revision 1748)
@@ -16,5 +16,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-<node client_id="BM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm" >
     <sliver_type name="exogeni-m4">
       <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -25,5 +25,5 @@
   </node>
 
- <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm" >
     <sliver_type name="m1.small">
       <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -35,5 +35,5 @@
 
   <link client_id="lan0">
-    <component_manager name="urn:publicid:IDN+rcivmsite+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm"/>
     <interface_ref client_id="BM-1:if0"/>
     <interface_ref client_id="VM-1:if0"/>
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn-1vm-at-rci.rspec	(revision 1748)
@@ -13,5 +13,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
       <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
Index: trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-at-bbn.rspec	(revision 1748)
@@ -14,5 +14,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
  <sliver_type name="m1.small">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
Index: trunk/RSpecExamples/exogeni-1vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-at-renci.rspec	(revision 1748)
@@ -12,5 +12,5 @@
         xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
 	xmlns="http://www.geni.net/resources/rspec/3">
-<node client_id="geni1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm">
  <sliver_type name="m1.small">
         <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
Index: trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-1vm-vlan1750-at-bbn.rspec	(revision 1748)
@@ -12,5 +12,5 @@
         xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
 	xmlns="http://www.geni.net/resources/rspec/3">
-  <node client_id="host1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+  <node client_id="host1" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
Index: trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-2vm-at-bbn.rspec	(revision 1748)
@@ -8,5 +8,5 @@
         xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
 	xmlns="http://www.geni.net/resources/rspec/3">
-  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
     <sliver_type name="m1.small">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" />
@@ -16,5 +16,5 @@
     </interface>
   </node>
-  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
     <sliver_type name="m1.large">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" />
@@ -25,5 +25,5 @@
   </node>
   <link client_id="lan0">
-    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm"/>
     <interface_ref client_id="VM-1:if0"/>
     <interface_ref client_id="VM-2:if0"/>
Index: trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-2vm-vlan1750-at-bbn.rspec	(revision 1748)
@@ -13,5 +13,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -22,5 +22,5 @@
   </node>
 
-  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
     <sliver_type name="m1.small">
     <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
Index: trunk/RSpecExamples/exogeni-4vm-at-renci.rspec
===================================================================
--- trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1747)
+++ trunk/RSpecExamples/exogeni-4vm-at-renci.rspec	(revision 1748)
@@ -12,5 +12,5 @@
         xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
 	xmlns="http://www.geni.net/resources/rspec/3">
-  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm">
     <sliver_type name="m1.small">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -20,5 +20,5 @@
     </interface>
   </node>
-  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm">
     <sliver_type name="m1.large">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -28,5 +28,5 @@
     </interface>
   </node>
-  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm">
     <sliver_type name="m1.large">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -36,5 +36,5 @@
     </interface>
   </node>
-  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm">
     <sliver_type name="m1.large">
      <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.6.xml" version="64ad567ce3b1c0dbaa15bad673bbf556a9593e1c" /> 
@@ -45,5 +45,5 @@
   </node>
   <link client_id="lan0">
-    <component_manager name="urn:publicid:IDN+rcivmsite+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:rcivmsite+authority+cm"/>
     <interface_ref client_id="VM-1:if0"/>
     <interface_ref client_id="VM-2:if0"/>